Get an investor preference form

GET/v1/users/investor-preferences/{uuid}

Path parameters

  • uuidstringRequired#
    Unique identifier of the investor preference form.

Responses

200The investor preference form.InvestorPreferenceFormResource
/** Imported from delio-core. */
interface InvestorPreferenceFormResource {
  /** uuid from delio-core. */
  uuid: string
  form: FormResource
  /** state from delio-core. */
  state?: unknown
  /** enforcementType from delio-core. */
  enforcementType: string
  /** editable from delio-core. */
  editable: boolean
  /** classifications from delio-core. */
  classifications?: InvestorPreferenceFormClassificationResource[]
  /** formImplementation from delio-core. */
  formImplementation?: unknown
  /** userState from delio-core. */
  userState?: unknown
}
401Unauthorized.Error
404Not found.Error
curl https://your-url.com/kong/core/api/gateway/v1/users/investor-preferences/{uuid}\
  -H "Authorization: Bearer $DELIO_API_KEY"\
  -H "Content-Type: application/json"